import Vue from 'vue'
import echarts from 'echarts'

/** **************************通用组件******************************/

export default function () {
  Vue.prototype.$echarts = echarts
  // 陕西地图
  Vue.component('cockpit', (resolve) => {
    require(['./components/ManageHomeCS/Cockpit'], resolve)
  }
  )
  // line-chart 折线图
  Vue.component('line-chart', (resolve) => {
    require(['./components/BasisEcharts/LineChart'], resolve)
  }
  )
  // ring-chart 环形图
  Vue.component('ring-chart', (resolve) => {
    require(['./components/BasisEcharts/RingChart'], resolve)
  }
  )
  // ring-chart 柱状图1
  Vue.component('bar-chart1', (resolve) => {
    require(['./components/qinhua/BarChart'], resolve)
  }
  )
  // ring-chart 柱状图2
  Vue.component('bar-chart', (resolve) => {
    require(['./components/BasisEcharts/BarChart'], resolve)
  }
  )

  Vue.component('shanxi', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/shanxi'], resolve)
  }
  )
  Vue.component('test-kk', (resolve) => {
    require(['./components/ManageHomeCS/test'], resolve)
  }
  )
  // 新版经营管控首页
  // 首页
  Vue.component('newmanage-home', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/NewManageHome'], resolve)
  }
  )
  // 营业
  Vue.component('text-business', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/TextBusiness'], resolve)
  }
  )
  // 用气性质分布图
  Vue.component('text-gasproperties', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/GasProperties'], resolve)
  }
  )
  // 分公司售气
  Vue.component('text-childsellgas', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/TextChildsellgas'], resolve)
  }
  )
  // 利润
  Vue.component('text-profit', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/TextProfit'], resolve)
  }
  )
  // 销售气量
  Vue.component('text-sellgas', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/TextSellgas'], resolve)
  }
  )
  // 售气地图
  Vue.component('text-shanximap', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/TextShanximap'], resolve)
  }
  )
  // 地图
  Vue.component('yulin-map', (resolve) => {
    require(['./components/ManageHomeCS/Home/YulinMap'], resolve)
  })
  // 总公司销售趋势
  Vue.component('text-totalsellgas', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/TextTotalsellgas'], resolve)
  }
  )
  // 用户
  Vue.component('text-user', (resolve) => {
    require(['./components/ManageHomeCS/NewHome/TextUser'], resolve)
  }
  )
  // Vue.component('text-shanximap', (resolve) => {
  //     require(['./components/ManageHomeCS/NewHome/TextShanximap'], resolve)
  //   }
  // )

  /** ****************************经营管控********************************************/
  // 经营管控
  Vue.component('manage-home', (resolve) => {
    require(['./components/ManageHomeCS/ManageHome'], resolve)
  })
  // 经营管控
  Vue.component('loading', (resolve) => {
    require(['./components/ManageHomeCS/loading'], resolve)
  })
  // 首页
  Vue.component('home', (resolve) => {
    require(['./components/ManageHomeCS/Home/Home'], resolve)
  })
  // 地图
  Vue.component('shanxi-map', (resolve) => {
    require(['./components/ManageHomeCS/Home/ShanxiMap'], resolve)
  })
  // 用户
  Vue.component('use-home', (resolve) => {
    require(['./components/ManageHomeCS/User/UseHome'], resolve)
  })
  // 客服
  Vue.component('service-home', (resolve) => {
    require(['./components/ManageHomeCS/CustomerService/ServiceHome'], resolve)
  })
  // 安检
  Vue.component('check-home', (resolve) => {
    require(['./components/ManageHomeCS/SecurityCheck/CheckHome'], resolve)
  })
  // 监控
  Vue.component('monitor-home', (resolve) => {
    require(['./components/ManageHomeCS/Monitor/MonitorHome'], resolve)
  })
  // 管网
  Vue.component('net-home', (resolve) => {
    require(['./components/ManageHomeCS/NetWork/NetHome'], resolve)
  })
  // 供销差
  Vue.component('poor-home', (resolve) => {
    require(['./components/ManageHomeCS/Poor/PoorHome'], resolve)
  })
  // 未来用气量
  Vue.component('predict-home', (resolve) => {
    require(['./components/ManageHomeCS/predict/PredictHome'], resolve)
  })
  // 用气量变化
  Vue.component('predict-gas', (resolve) => {
    require(['./components/ManageHomeCS/predict/PredictGas'], resolve)
  })
  Vue.component('predict-air', (resolve) => {
    require(['./components/ManageHomeCS/predict/PredictAir'], resolve)
  })
  /* ------------------------------安全服务钻取-----------------------------*/
  // 钻取
  Vue.component('drill-data', (resolve) => {
    require(['./components/ManageHomeCS/Drill/DrillData'], resolve)
  })
  // 钻取汇总
  Vue.component('drill-pool', (resolve) => {
    require(['./components/ManageHomeCS/Drill/DrillPool'], resolve)
  })
  // 钻取详情
  Vue.component('drill-list', (resolve) => {
    require(['./components/ManageHomeCS/Drill/DrillList'], resolve)
  })

  /* ------------------------------首页-----------------------------*/
  // 用户
  Vue.component('user-module', (resolve) => {
    require(['./components/ManageHomeCS/Home/UserModule'], resolve)
  })
  // 呼叫中心
  Vue.component('call-center', (resolve) => {
    require(['./components/ManageHomeCS/Home/CallCenter'], resolve)
  })
  // 呼叫
  Vue.component('call-statistics', (resolve) => {
    require(['./components/ManageHomeCS/Home/CallStatistics'], resolve)
  })
  // 维修
  Vue.component('call-fix', (resolve) => {
    require(['./components/ManageHomeCS/Home/CallFix'], resolve)
  })
  // 管网
  Vue.component('net-work', (resolve) => {
    require(['./components/ManageHomeCS/Home/NetWork'], resolve)
  })
  // 运行
  Vue.component('gasvalue', (resolve) => {
    require(['./components/ManageHomeCS/Home/GasValue'], resolve)
  })
  // 安检
  Vue.component('safe-check', (resolve) => {
    require(['./components/ManageHomeCS/Home/SafeCheck'], resolve)
  })
  // 监控
  Vue.component('monitor', (resolve) => {
    require(['./components/ManageHomeCS/Home/Monitor'], resolve)
  })
  /* -----------------------------用户---------------------------------*/
  // 用户数量
  Vue.component('user-number', (resolve) => {
    require(['./components/ManageHomeCS/User/UserNumber'], resolve)
  })
  // 主要用户展示
  Vue.component('user-gas', (resolve) => {
    require(['./components/ManageHomeCS/User/UserGascontrast'], resolve)
  })
  // 用户数量增长
  Vue.component('user-increase', (resolve) => {
    require(['./components/ManageHomeCS/User/UsernumIncrease'], resolve)
  })
  // 用户数量增长
  Vue.component('sale-proportion', (resolve) => {
    require(['./components/ManageHomeCS/User/SaleProportion'], resolve)
  })
  // 用户数量增长
  Vue.component('fmy-inspec-distri', (resolve) => {
    require(['./components/ManageHomeCS/User/FMYInspecDistri'], resolve)
  })
  Vue.component('my-inspec-distri', (resolve) => {
    require(['./components/ManageHomeCS/User/MYInspecDistri'], resolve)
  })
  // 用气分布图
  Vue.component('gas-distri', (resolve) => {
    require(['./components/ManageHomeCS/User/GasDistri'], resolve)
  })
  /* -----------------------------客服---------------------------------*/
  // 每月话务统计
  Vue.component('service-statistics', (resolve) => {
    require(['./components/ManageHomeCS/CustomerService/ServiceStatistics'], resolve)
  })
  // 每周话务统计
  Vue.component('traffic-statistics', (resolve) => {
    require(['./components/ManageHomeCS/CustomerService/TrafficStatistics'], resolve)
  })
  // 咨询原因
  Vue.component('reason-consultation', (resolve) => {
    require(['./components/ManageHomeCS/CustomerService/ReasonConsultation'], resolve)
  })
  // 投诉原因
  Vue.component('reason-complaint', (resolve) => {
    require(['./components/ManageHomeCS/CustomerService/ReasonComplaint'], resolve)
  })
  // 维修统计
  Vue.component('service-fix', (resolve) => {
    require(['./components/ManageHomeCS/CustomerService/ServiceFix'], resolve)
  })
  // 用户满意程度统计
  Vue.component('contentment', (resolve) => {
    require(['./components/ManageHomeCS/CustomerService/ContentmentStatistics'], resolve)
  })
  // 异常情况汇总
  Vue.component('excep-collect', (resolve) => {
    require(['./components/ManageHomeCS/CustomerService/ExcepCollect'], resolve)
  })

  /* -----------------------------供销差---------------------------------*/
  // 周报
  Vue.component('week-data', (resolve) => {
    require(['./components/ManageHomeCS/Poor/WeekData'], resolve)
  })
  Vue.component('week-data1', (resolve) => {
    require(['./components/ManageHomeCS/Poor/WeekData1'], resolve)
  })
  // 月报 monthdata
  Vue.component('month-data', (resolve) => {
    require(['./components/ManageHomeCS/Poor/MonthData'], resolve)
  })
  // 月报 monthdata
  Vue.component('month-data1', (resolve) => {
    require(['./components/ManageHomeCS/Poor/MonthData1'], resolve)
  })
  // 季报seasondata
  Vue.component('season-data', (resolve) => {
    require(['./components/ManageHomeCS/Poor/SeasonData'], resolve)
  })
  // 季报seasondata
  Vue.component('season-data1', (resolve) => {
    require(['./components/ManageHomeCS/Poor/SeasonData1'], resolve)
  })
  // 年报 yeardata
  Vue.component('year-data', (resolve) => {
    require(['./components/ManageHomeCS/Poor/YearData'], resolve)
  })

  /* -----------------------------安检---------------------------------*/
  // 安检计划统计
  Vue.component('plan-statistics', (resolve) => {
    require(['./components/ManageHomeCS/SecurityCheck/PlanStatistics'], resolve)
  })
  // 安检状态统计
  Vue.component('state-statistics', (resolve) => {
    require(['./components/ManageHomeCS/SecurityCheck/StateStatistics'], resolve)
  })
  // 安检用户类型
  Vue.component('customer-type', (resolve) => {
    require(['./components/ManageHomeCS/SecurityCheck/CustomerType'], resolve)
  })
  // 安检员统计
  Vue.component('task-statistics', (resolve) => {
    require(['./components/ManageHomeCS/SecurityCheck/TaskStatistics'], resolve)
  })
  // 安检隐患统计
  Vue.component('latent-danger', (resolve) => {
    require(['./components/ManageHomeCS/SecurityCheck/LatentDanger'], resolve)
  })
  /* -----------------------------监控---------------------------------*/
  // 警告
  Vue.component('caveat', (resolve) => {
    require(['./components/ManageHomeCS/Monitor/Caveat'], resolve)
  })
  // 监控中心
  Vue.component('monitor-center', (resolve) => {
    require(['./components/ManageHomeCS/Monitor/MonitorCenter'], resolve)
  })
  // 长期未用气用户统计
  Vue.component('no-gas', (resolve) => {
    require(['./components/ManageHomeCS/Monitor/NoGas'], resolve)
  })
  // 失联用户统计
  Vue.component('no-contact', (resolve) => {
    require(['./components/ManageHomeCS/Monitor/NoContact'], resolve)
  })
  // 长期未购气用户统计
  Vue.component('nobuy-gas', (resolve) => {
    require(['./components/ManageHomeCS/Monitor/NoBuyGas'], resolve)
  })
  // 往期购气对比
  Vue.component('compared-gas', (resolve) => {
    require(['./components/ManageHomeCS/Monitor/ComparedGas'], resolve)
  })
  // 供销差
  Vue.component('buysub', (resolve) => {
    require(['./components/ManageHomeCS/Monitor/BuySub'], resolve)
  })
  // 气表品牌分布
  Vue.component('meterbrand', (resolve) => {
    require(['./components/ManageHomeCS/Monitor/MeterBrand'], resolve)
  })

  /* -----------------------------管网---------------------------------*/
  // 管网隐患
  Vue.component('net-danger', (resolve) => {
    require(['./components/ManageHomeCS/NetWork/NetDanger'], resolve)
  })
  // 巡线
  Vue.component('line-inspection', (resolve) => {
    require(['./components/ManageHomeCS/NetWork/LineInspection'], resolve)
  })
  // 巡线
  Vue.component('supply-gas', (resolve) => {
    require(['./components/ManageHomeCS/NetWork/SupplyGas'], resolve)
  })

  // 管网
  Vue.component('net-work-one', (resolve) => {
    require(['./components/ManageHomeCS/NetWork/NetWork'], resolve)
  })
  // 管网地图
  Vue.component('network-map', (resolve) => {
    require(['./components/ManageHomeCS/NetWork/NetWorkMap'], resolve)
  })
  // Vue.component('bar-chart', (resolve) => {
  //   require(['./components/qinhua/BarChart'], resolve)
  // })
  Vue.component('pie-sell', (resolve) => {
    require(['./components/qinhua/Pie'], resolve)
  })
  Vue.component('ring-safecheck', (resolve) => {
    require(['./components/qinhua/SafeCheckRing'], resolve)
  })
  Vue.component('ring-sell', (resolve) => {
    require(['./components/daping/Ring'], resolve)
  })
  Vue.component('qinhua-map', (resolve) => {
    require(['./components/qinhua/qinHuaMap'], resolve)
  })
  Vue.component('safecheck-barchart', (resolve) => {
    require(['./components/qinhua/SafecheckBarChart'], resolve)
  })
  Vue.component('sell-echarts', (resolve) => {
    require(['./components/qinhua/SellEcharts'], resolve)
  })
  Vue.component('bar-chart-line', (resolve) => {
    require(['./components/daping/BarChartLine'], resolve)
  })
  Vue.component('manage-main', (resolve) => {
    require(['./components/qinhua/ManageMain'], resolve)
  })
  Vue.component('scada', (resolve) => {
    require(['./components/qinhua/Scada'], resolve)
  })
  /* -----------------------------SCADA大屏报表---------------------------------*/
  // 累计流量主界面
  Vue.component('cumulative-flow-manage', (resolve) => { require(['./components/scada/CumulativeFlow/CumulativeFlowManage'], resolve) })
  // 瞬时流量主界面
  Vue.component('instantaneous-flow-manage', (resolve) => { require(['./components/scada/InstantaneousFlow/InstantaneousFlowManage'], resolve) })
  // 准点压力主界面
  Vue.component('on-time-pressure-manage', (resolve) => { require(['./components/scada/OnTimePressure/OnTimePressureManage'], resolve) })
  // 三日对比量主界面
  Vue.component('three-day-contrast-manage', (resolve) => { require(['./components/scada/ThreeDayContrast/ThreeDayContrastManage'], resolve) })
  // 日用气量计算主界面
  Vue.component('caculate-gas-consumpution-by-day', (resolve) => { require(['./components/scada/CaculateGasConsumputionByDay/CaculateGasConsumputionByDay'], resolve) })
  // 供气运行日报表主界面
  Vue.component('gas-supply-running-by-day', (resolve) => { require(['./components/scada/GasSupplyRunning/GasSupplyRunningByDay'], resolve) })
  // 图表展示主界面
  Vue.component('chart-display-manage', (resolve) => { require(['./components/scada/ChartDisplay/ChartDisplayManage'], resolve) })
  // 榆林管网天气
  Vue.component('weather', (resolve) => { require(['./components/yulin/Weather'], resolve) })
  // 榆林管网信息
  Vue.component('guanwang', (resolve) => { require(['./components/yulin/GuanWang'], resolve) })
  // 榆林管网收费曲线图
  Vue.component('single-bar-line', (resolve) => { require(['./components/yulin/SingleBarLine'], resolve) })
// 榆林管网建设长度饼状图
  Vue.component('net-info', (resolve) => { require(['./components/yulin/NetInfo'], resolve) })
  // 榆林管网建设长度柱状图
  Vue.component('trend', (resolve) => { require(['./components/yulin/Trend'], resolve) })

// //////////////////////////////////////////////////////////////////////////////////////////
// 燎原经营管控
  // 首页
  Vue.component('liaoyuan-manage-home', (resolve) => {
    require(['./components/ManageHomeCS/liaoyuan/NewHome/NewManageHome'], resolve)
  }
  )
  // 用户
  Vue.component('text-user', (resolve) => {
    require(['./components/ManageHomeCS/liaoyuan/NewHome/TextUser'], resolve)
  }
  )

  // 销售气量
  Vue.component('text-sellgas', (resolve) => {
    require(['./components/ManageHomeCS/liaoyuan/NewHome/TextSellgas'], resolve)
  }
  )

// 总公司销售趋势
  Vue.component('text-totalsellgas', (resolve) => {
    require(['./components/ManageHomeCS/liaoyuan/NewHome/TextTotalsellgas'], resolve)
  }
  )

  // 分公司售气
  Vue.component('text-childsellgas', (resolve) => {
    require(['./components/ManageHomeCS/liaoyuan/NewHome/TextChildsellgas'], resolve)
  }
  )
  // 利润
  Vue.component('text-profit', (resolve) => {
    require(['./components/ManageHomeCS/liaoyuan/NewHome/TextProfit'], resolve)
  }
  )

  // 用气分布图
  Vue.component('gas-distri', (resolve) => {
    require(['./components/ManageHomeCS/liaoyuan/User/GasDistri'], resolve)
  })
// 用户满意程度统计
  Vue.component('contentment', (resolve) => {
    require(['./components/ManageHomeCS/liaoyuan/CustomerService/ContentmentStatistics'], resolve)
  })

  // 用户增值信息查询
  Vue.component('valueadd-user-query', (resolve) => {
    require(['./components/valueaddinfo/valueAddUserQuery'], resolve)
  })
  Vue.component('valueadd-count-query', (resolve) => {
    require(['./components/valueaddinfo/valueAddCountQuery'], resolve)
  })
  // 用户续保查询(增值业务)
  Vue.component('renewal-valueadd-user-query', (resolve) => {
    require(['./components/valueaddinfo/renewalvalueAddUserQuery'], resolve)
  })

//  大屏
  Vue.component('manage-main2', (resolve) => {
    require(['./components/daping/ManageMain'], resolve)
  })
  Vue.component('scada', (resolve) => {
    require(['./components/daping/Scada'], resolve)
  })
  Vue.component('qh-call-center', (resolve) => {
    require(['./components/daping/CallCenter'], resolve)
  })
  Vue.component('qh-data-management', (resolve) => {
    require(['./components/daping/DataManagement'], resolve)
  })
  Vue.component('qh-data-management1', (resolve) => {
    require(['./components/daping/DataManagement1'], resolve)
  })
  Vue.component('qh-sell-bar-echarts', (resolve) => {
    require(['./components/daping/SellBarEcharts'], resolve)
  })
  Vue.component('qh-data-statistics', (resolve) => {
    require(['./components/daping/DataStatistics'], resolve)
  })
  Vue.component('qh-expire-meter', (resolve) => {
    require(['./components/daping/ExpireMeter'], resolve)
  })
  Vue.component('qh-residents-security', (resolve) => {
    require(['./components/daping/ResidentsSecurity'], resolve)
  })
  // Vue.component('qh-xian-map', (resolve) => {
  //   require(['./components/daping/XianMap'], resolve)
  // })
  Vue.component('gmap', (resolve) => {
    require(['./components/daping/GMap'], resolve)
  })
  // 大屏编辑界面
  Vue.component('redact-da-ping', (resolve) => {
    require(['./components/daping/RedactDaPing'], resolve)
  })
  // 管网
  Vue.component('net-work-ping', (resolve) => {
    require(['./components/daping/NetWork'], resolve)
  })
  // 安检
  Vue.component('safe-check-ping', (resolve) => {
    require(['./components/daping/SafeCheck'], resolve)
  })
  Vue.component('wu-hai-map', (resolve) => {
    require(['./components/daping/WuHaiMap'], resolve)
  })
  Vue.component('safe-check-wh', (resolve) => {
    require(['./components/daping/SafecheckBarChart'], resolve)
  })
  Vue.component('ring-safecheck-wh', (resolve) => {
    require(['./components/daping/SafeCheckRing'], resolve)
  })
}
